=== PKGBUILD ===
# Maintainer: Anatol Pomozov
# Contributor: László Várady <laszlo.varady93@gmail.com>

pkgname=rocksdb
pkgver=9.10.0
pkgrel=1
pkgdesc='Embedded key-value store for fast storage'
arch=(x86_64)
url="https://rocksdb.org/"
license=(GPL2 Apache)
depends=(bzip2 lz4 snappy zlib zstd tbb liburing)
makedepends=(python)
source=(rocksdb-$pkgver.tar.gz::https://github.com/facebook/rocksdb/archive/v$pkgver.tar.gz)
sha256sums=('fdccab16133c9d927a183c2648bcea8d956fb41eb1df2aacaa73eb0b95e43724')

build() {
  cd rocksdb-$pkgver
  DISABLE_JEMALLOC=1 PORTABLE=1 USE_RTTI=1 make shared_lib
}

check() {
  cd rocksdb-$pkgver
  # make check # fails due to https://github.com/facebook/rocksdb/issues/8974
}

package() {
  cd rocksdb-$pkgver
  make install-shared DESTDIR="$pkgdir" PREFIX=/usr
}
